Subject: Re: dll for Windows
From: "George William Smith" <[email-masked]>
To: [email-masked]
Date: Mon, 28 Oct 2002 11:23:43 -0000

Get the libtool packages from setup, then read
http://www.gnu.org/software/libtool/libtool.html and
http://sources.redhat.com/autobook/

G

"Stefan Hansen" <[email-masked]> wrote in message
news:02102720005100.02282@Poldi...
> Hi,
>
> my last question about compiling a dll for Windows with cygwin stayed
without
> answer. Perhaps i am stiupid. But this is a problem i have to solve. so i
try
> it again.
>
> This time i have tried the dllhelpers code from the same site as i postet
in
> my last E-Mail. There is a realy simple makefile. I think i could handle
> this. But my problem is that i couldnt use the dll under the Windows
Project.
> The Linker cant resolve the Objects stored in the dll. I think the reason
is
> that i have no lib-file. (by the hello-1.0 i can copy the .a-file to a
> .lib-file and it runs.)
>
> I have not realy experiences in compiling dlls. So i have no idea what is
> goin wrong. Perhaps i have only to create a lib-file. but how could i do
this
> with the cygwin environment?
>
> About my project:
>
> I attempt to built a dll from the Videolan (http://www.videolan.org/)
Project
> which could be used for a windows based DVB-T reciever. If i could
> croscompile this dll the project stayed open for a linux solution. At this
> time have to use Windows because there is no driver supporting linux. But
it
> is only a questin of time and a linux driver exist. Then the project
should
> run under linux. if the dll is ready.
>
> Stefan Hansen
>
> -------------------------------------------------------
>
>
> Hi,
>
> i am trying to compile a dll for a windows application. I have read a lot
> about it (for example)
>
> http://www.neuro.gatech.edu/users/cwilson/cygutils/
>
> i have found an easy example on this site (hello-1.0.tar.gz). But the
> makefile is for my skills in makefiles "unreadable". Is there a more easy
> possibillity to compile a dll file from a project like the hello example ?
>
> Thanks for you interest.
>
> Stefan Hanse
>
> --
> +++ GMX - Mail, Messaging & more  http://www.gmx.net +++
> NEU: Mit GMX ins Internet. Rund um die Uhr für 1 ct/ Min. surfen!
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
> Hi,
>
> i am trying to compile a dll for a windows application. I have read a lot
> about it (for example)
>
> http://www.neuro.gatech.edu/users/cwilson/cygutils/
>
> i have found an easy example on this site (hello-1.0.tar.gz). But the
> makefile is for my skills in makefiles "unreadable". Is there a more easy
> possibillity to compile a dll file from a project like the hello example ?
>
> Thanks for you interest.
>
> Stefan Hanse
>
> --
> +++ GMX - Mail, Messaging & more  http://www.gmx.net +++
> NEU: Mit GMX ins Internet. Rund um die Uhr für 1 ct/ Min. surfen!
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
> -------------------------------------------------------
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/